# Install script for directory: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/pkg")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

# Set default install directory permissions.
if(NOT DEFINED CMAKE_OBJDUMP)
  set(CMAKE_OBJDUMP "/usr/bin/objdump")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/html_write.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_client.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_header.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_sgml_plugin.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/mimepack.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/mimetype.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/dcg_basics.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/thread_httpd.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_wrapper.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_server.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_dyn_workers.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_open.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_proxy.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_session.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_error.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_parameters.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_dispatch.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_authenticate.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_log.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_path.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_hook.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/html_head.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_exception.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_dirindex.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_server_files.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_pwp.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_host.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_openid.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/js_write.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/js_grammar.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_cookie.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_files.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_cors.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/yadis.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/ax.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/html_quasiquotations.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_load.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_multipart_plugin.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_digest.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/README.md"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_unix_daemon.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd" TYPE MODULE MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/http/http_stream.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/http_stream.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/http_stream.so")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/.tools/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/http_stream.so")
    endif()
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http" TYPE FILE MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_stream.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd" TYPE MODULE MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/http/json.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/json.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/json.so")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/.tools/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/json.so")
    endif()
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/json.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/json_convert.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/http_json.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd" TYPE MODULE MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/http/websocket.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/websocket.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/websocket.so")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/.tools/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/aarch64_be--netbsd/websocket.so")
    endif()
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/websocket.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/hub.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http/web/css" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/css/dirindex.css"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/css/openid.css"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http/web/icons" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//back.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//compressed.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//c.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//folder.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//generic.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//layout.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//openid-logo-square.png"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/icons//openid-logo-tiny.png"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http" TYPE FILE MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/http/jquery.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_packages" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/http/web/js" TYPE FILE MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/web/js/jquery-1.11.3.min.js")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Examples" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages/examples/http" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//README.md"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_body.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_client.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_threads.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//calc.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_files.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_pwp.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_openid.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_daemon.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//upstart-script.conf"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//systemd-script.service"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//linux-init-script"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_login.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_rest.pl"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples//demo_hello.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Examples" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages/examples/http/pwp" TYPE FILE MESSAGE_NEVER FILES
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//context.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//index.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp1.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp2.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp3.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp4.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp5.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp6.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp7.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwp8.pwp"
    "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/http/examples/pwp//pwpdb.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Documentation" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages" TYPE FILE OPTIONAL MESSAGE_NEVER FILES "/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/http//http.html")
endif()

